package org.expeditee.items;

import org.expeditee.gui.Frame;

public class FramePicture extends Picture {
	protected FramePicture() {
		super();
	}

	@Override
	public void setLink(String frameName) {
		if (_source == null)
			return;
		else {
			_source.setLink(frameName);

			if (_source.getLink() == null) {
				Frame parent = getParent();
				if (parent != null) {
					parent.removeItem(this);
					parent.addItem(_source);
				}
			} else {
				refresh();
			}
		}
		updatePolygon();
	}
	
	@Override
	public String getName() {
		return _source.getAbsoluteLink();
	}
}
